Index: /extensions/Mail_supervisor/admin/header_2_1.tpl
===================================================================
--- /extensions/Mail_supervisor/admin/header_2_1.tpl	(revision 10418)
+++ /extensions/Mail_supervisor/admin/header_2_1.tpl	(revision 10419)
@@ -1,3 +1,3 @@
-﻿{known_script id="jquery" src = $ROOT_URL|@cat:"themes/default/js/jquery.packed.js" now=0} 
+{known_script id="jquery" src = $ROOT_URL|@cat:"themes/default/js/jquery.packed.js" now=0}
 {known_script id="jquery.cluetip" src = $ROOT_URL|@cat:"themes/default/js/plugins/jquery.cluetip.packed.js"}
 {known_script id="jquery.ui" src= $ROOT_URL|@cat:"themes/default/js/ui/minified/ui.core.min.js"}
@@ -6,3 +6,2 @@
 <link rel="stylesheet" type="text/css" href="{$MAIL_SUPERV_PATH}admin/{$theme}/theme.css" />
 {/html_head}
-<input id="action_spam" name="action_spam" type="hidden" value="{$action_spam}" />
Index: /extensions/Mail_supervisor/admin/header_2_2.tpl
===================================================================
--- /extensions/Mail_supervisor/admin/header_2_2.tpl	(revision 10418)
+++ /extensions/Mail_supervisor/admin/header_2_2.tpl	(revision 10419)
@@ -1,3 +1,3 @@
-﻿{combine_script id="jquery" path= "themes/default/js/jquery.min.js" }
+{combine_script id="jquery" path= "themes/default/js/jquery.min.js" }
 {combine_script id="jquery.cluetip" path= "themes/default/js/plugins/jquery.cluetip.js" require="jquery"}
 {combine_script id="my_script" path= $MAIL_SUPERV_PATH|@cat:"include/Scripts.js" }
Index: /extensions/Mail_supervisor/main.inc.php
===================================================================
--- /extensions/Mail_supervisor/main.inc.php	(revision 10418)
+++ /extensions/Mail_supervisor/main.inc.php	(revision 10419)
@@ -16,5 +16,5 @@
 
 global $conf,$mails_options ;
-include_once (MAIL_SUPERV_PATH.'include/constants.php'); 
+include_once (MAIL_SUPERV_PATH.'include/constants.php');
 include_once(MAIL_SUPERV_PATH.'mail_super.inc.php');
 
@@ -23,9 +23,9 @@
 
 $mails_options = mail_supervisor::Get_Options($mails_options,"mail_superv");
-/* EVENT_HANDLER_PRIORITY_NEUTRAL  */ 	
+/* EVENT_HANDLER_PRIORITY_NEUTRAL  */
 //
 //
 include_once (PHPWG_ROOT_PATH.'include/functions_mail.inc.php' );
-include_once (MAIL_SUPERV_PATH.'include/fonctions.php');  
+include_once (MAIL_SUPERV_PATH.'include/fonctions.php');
 //===============loc_begin_index==============loc_after_page_header=============================================================
 add_event_handler('loc_begin_page_header',  array(&$mail_supervisor,'init')  );
@@ -35,74 +35,75 @@
 add_event_handler('send_mail', 'clj_mail',EVENT_HANDLER_PRIORITY_NEUTRAL - 10, 6);
 function clj_mail($result, $mailto, $subject, $content, $headers, $args) {
-  global $conf, $user, $lang_info;  
+  global $conf, $user, $lang_info;
   global $conf_mail,$mails_options,$mails_donnees ;
-  global  $template,$page ,$erreur_message,$infos_message, $lang; 
+  global  $template,$page ,$erreur_message,$infos_message, $lang;
   global $errors;
   // lecture config table -------------
-  include_once (MAIL_SUPERV_PATH.'include/fonctions.php'); 
-  load_language('plugin.lang', MAIL_SUPERV_PATH); 
-  if (isset($_POST["Submit"]) ) {
-    if ($_POST["Submit"] != l10n('Sv_Envoyer') ) return true ;
-  }  
-  // remove_event_handler('send_mail', 'pwg_send_mail');     
-	$message ="";
-  if (!isset($infos_message))	{ 	$infos_message = "";	}
-  if (!isset($erreur_message))	{  	$erreur_message = '';	}	   
-   
+  include_once (MAIL_SUPERV_PATH.'include/fonctions.php');
+  load_language('plugin.lang', MAIL_SUPERV_PATH);
+   trigger_event('cl_begin_send_mail');
+
+ // remove_event_handler('send_mail', 'pwg_send_mail');
+    $message ="";
+  if (!isset($infos_message))   {   $infos_message = "";    }
+  if (!isset($erreur_message))  {   $erreur_message = '';   }
+
   // $mails_options = explode("," , $conf['mail_superv']);
   $envoie_ok=true ;
   //======== verification si envoie de mail ou blocage connexion =====================
 
-  if ($mails_options['no_mail_list']=='on' || $mails_options['no_connect'] == 'on' )	{ 
-		if (kill_list()) {
+  if ($mails_options['no_mail_list']=='on' || $mails_options['no_connect'] == 'on' )    {
+        if (kill_list()) {
       $nb_destinataires=0; ;
       $envoie_ok= false ;
       $erreur_message .= "<BR />".l10n('Sv_is_a_spam') ;
-      $infos_message = l10n('Sv_mail_not_send')."<BR />"; 
+      $infos_message = l10n('Sv_mail_not_send')."<BR />";
       if ($mails_options['no_connect'] == 'on' ){
-	      if ($user['status'] == 'webmaster'){  
-	      //---------- continuer si web master ----------
-	      }else{
-		      if (!isset($_GET['admin'])) {
-	  			      die('Blacklist : <br />' .$erreur_message. '<br /> Hacking attempt!');
-	  			        }elseif   ($_GET['admin'] != 'piwigo')
-	  				        {
-	  			      die('blacklist Hacking attempt!');
-	  	      }	             
-	      } 			 
+          if ($user['status'] == 'webmaster'){
+          //---------- continuer si web master ----------
+          }else{
+              if (!isset($_GET['admin'])) {
+                      die('Blacklist : <br />' .$erreur_message. '<br /> Hacking attempt!');
+                        }elseif   ($_GET['admin'] != 'piwigo')
+                            {
+                      die('blacklist Hacking attempt!');
+              }
+          }
       }
-       	 return true;
-		}
-	}
+       trigger_event('cl_kill_send_mail', $ip);
+         return true;
+        }
+    }
   // lecture donnees       -------------
-  $mails_donnees = mail_supervisor::Get_Datas(); 
-  $nb_mails	  =	$mails_donnees['nb_mails'] ;
-  $next_day  =  $mails_donnees['date_mail'] ;	
-  $reste =    $mails_donnees['reste'] ;		
-	$rest_mail =    $mails_donnees['rest_mail'] ;  
-	if ($rest_mail <=0 || $mails_donnees['nb_mails'] ==0 ){
-	   $mails_donnees['nb_mails'] =0 ;
-	   $mails_donnees['date_mail'] = time();
-	}	
-	$rest_spam =    $mails_donnees['rest_spam'] ;
- 	if ($rest_spam <=0 || $mails_donnees['nb_spams'] ==0 ){
-	   $mails_donnees['nb_spams'] =0 ;
-	   $mails_donnees['date_spam'] = time();
-	}	
-	$alerte =   ( $mails_donnees['reste'] >0 ) ? true : false ; 	
-	$alerte_mail =    ( $mails_donnees['nb_mails'] >   $mails_donnees['nb_mails_maxi']-1 ) ? true : false ;
-	$alerte_spam =    ( $mails_donnees['nb_spams'] >   $mails_donnees['nb_spams_maxi']-1 ) ? true : false ;
-
-  if ( ( !$alerte  && !$alerte_spam  && !$alerte_mail ) ) {	     	 
-    $nb_destinataires=0;  
+  $mails_donnees = mail_supervisor::Get_Datas();
+  $nb_mails   = $mails_donnees['nb_mails'] ;
+  $next_day  =  $mails_donnees['date_mail'] ;
+  $reste =    $mails_donnees['reste'] ;
+    $rest_mail =    $mails_donnees['rest_mail'] ;
+    if ($rest_mail <=0 || $mails_donnees['nb_mails'] ==0 ){
+       $mails_donnees['nb_mails'] =0 ;
+       $mails_donnees['date_mail'] = time();
+    }
+    $rest_spam =    $mails_donnees['rest_spam'] ;
+    if ($rest_spam <=0 || $mails_donnees['nb_spams'] ==0 ){
+       $mails_donnees['nb_spams'] =0 ;
+       $mails_donnees['date_spam'] = time();
+    }
+    $alerte =   ( $mails_donnees['reste'] >0 ) ? true : false ;
+    $alerte_mail =    ( $mails_donnees['nb_mails'] >   $mails_donnees['nb_mails_maxi']-1 ) ? true : false ;
+    $alerte_spam =    ( $mails_donnees['nb_spams'] >   $mails_donnees['nb_spams_maxi']-1 ) ? true : false ;
+
+  if ( ( !$alerte  && !$alerte_spam  && !$alerte_mail ) ) {
+    $nb_destinataires=0;
   //====================================================
-    $match_email = $conf_mail['email_webmaster'];     
+    $match_email = $conf_mail['email_webmaster'];
+
     $new_args=array();
     if( isset($args['Bcc']))
-    foreach($args['Bcc'] as $key => $val){ 
-      if (!preg_match('/'. $match_email.'/', $val)){ 
+    foreach($args['Bcc'] as $key => $val){
+      if (!preg_match('/'. $match_email.'/', $val)){
           array_push($new_args, $val);
       }else{
-         	$mailto = $match_email;
+            $mailto = $match_email;
       }
     }
@@ -110,31 +111,31 @@
      //=======================================================================
      $nb_destinataires=0;
-    if ($mailto<>"" ) $nb_destinataires +=1;  		
-		if (!empty($args['Cc']))  {	
-        $nb_destinataires += count($args['Cc']); 
-        
-    }  
-		if (!empty($args['Bcc']))  {	
-        $nb_destinataires += count($args['Bcc']); 	
-    }  
-    if ($mailto == "" && $nb_destinataires==0 )	{
+    if ($mailto<>"" ) $nb_destinataires +=1;
+        if (!empty($args['Cc']))  {
+        $nb_destinataires += count($args['Cc']);
+
+    }
+        if (!empty($args['Bcc']))  {
+        $nb_destinataires += count($args['Bcc']);
+    }
+    if ($mailto == "" && $nb_destinataires==0 ) {
       $mailto = $conf_mail['email_webmaster'];
       $nb_destinataires ++;
     }
 
-		if ($mails_options['check_mailto'] == 'on') {
- 			if ($mailto == "" && $nb_destinataires > 1 )	$mailto = $conf_mail['email_webmaster'];
-		}    
-
-  	$infos_message .= "nb_destinataires : $nb_destinataires Theme :" . ($args['theme'] ) ."<br />";
+        if ($mails_options['check_mailto'] == 'on') {
+            if ($mailto == "" && $nb_destinataires > 1 )    $mailto = $conf_mail['email_webmaster'];
+        }
+
+    $infos_message .= "nb_destinataires : $nb_destinataires Theme :" . ($args['theme'] ) ."{". $lang_info['language_name'] ."}"."<br />";
     //================= réecriture de l'entete ===============================
     $match=array("<",">");
-    $string=array("&lt;","&gt;") ;	             	
-    if ( $nb_destinataires  == 1 ) {   
-      if ($mailto == "" ) {     
-        if (!empty($args['Bcc'])){ 
+    $string=array("&lt;","&gt;") ;
+    if ( $nb_destinataires  == 1 ) {
+      if ($mailto == "" ) {
+        if (!empty($args['Bcc'])){
           $mailto = get_strict_email_list(implode(',', $args['Bcc']));
           $args['Bcc']=array();
-        }else{    
+        }else{
           if (!empty($args['Cc']) ){  $mailto=get_strict_email_list(implode(',', $args['Cc']));
            $args['Cc']=array();
@@ -148,38 +149,38 @@
       $infos_message .="Destinataire:" .$mailto ;
       //=============================================================================
-       
+
     }else{
           //=== plusieurs destinataires ===========
       $cl_list_mail="";
-      if ($mailto !="") $infos_message .="To: " . $mailto . " "."<br />" ;     
+      if ($mailto !="") $infos_message .="To: " . $mailto . " "."<br />" ;
       if (!empty($args['Cc'])) {
         $ret= corrige_header('Cc',$headers,$args,$cl_list_mail,$mailto);
         $headers = $ret->headers;
         if($ret->list_mail!="") $infos_message .="Cc: " .  ( $ret->list_mail)."  <br />" ;
-             
+
       }
-      if (!empty($args['Bcc'])){ 
-          $ret	= corrige_header('Bcc',$headers,$args,$cl_list_mail,$mailto);  
+      if (!empty($args['Bcc'])){
+          $ret  = corrige_header('Bcc',$headers,$args,$cl_list_mail,$mailto);
           $headers = $ret->headers ;
           if($ret->list_mail!="") $infos_message .="Bcc: " . ( $ret->list_mail) ."  <br />";
-           
-       }      
-	     $infos_message .=  " " ;
-    }
-     
-      
+
+       }
+         $infos_message .=  " " ;
+    }
+
+
             //=============================================================================
             if ($mails_options['check_header_text']=='on')   {
-              $texte = "This is a multi-part message in MIME format.\n"; 	
-              $texte .= "-----=".$conf_mail['boundary_key']."\n"; 
-              $texte .= "Ceci est un message est au format MIME.\n"; 
-              $texte .= 'Content-Type: text/plain; charset="UTF-8"'."\n"; 
-              $texte .= 'Content-Transfer-Encoding: 8bit'."\n\n";  
-              $texte .= $mails_donnees['header_text']; // A voir texte brut...	   
-              $texte .= "\n\n"; 	
+              $texte = "This is a multi-part message in MIME format.\n";
+              $texte .= "-----=".$conf_mail['boundary_key']."\n";
+              $texte .= "Ceci est un message est au format MIME.\n";
+              $texte .= 'Content-Type: text/plain; charset="UTF-8"'."\n";
+              $texte .= 'Content-Transfer-Encoding: 8bit'."\n\n";
+              $texte .= $mails_donnees['header_text']; // A voir texte brut...
+              $texte .= "\n\n";
               $content =$texte .$content ;
-            }    
+            }
             // corrige erreur 'mail dropped, bare LF found'
-          /*   if ( preg_match('/\n\./',$content)){ 
+          /*   if ( preg_match('/\n\./',$content)){
              $content=preg_replace('/\n\./', '/\n\.\./', $content);
 
@@ -187,18 +188,18 @@
              }
              $content = str_replace("\n.", "\n/./.", $content);
-             $headers = str_replace("\n.", "\n..", $headers); 
+             $headers = str_replace("\n.", "\n..", $headers);
             $subject = str_replace("\n.", "\n..", $subject);
              $mailto = str_replace("\n.", "\n..", $mailto);
        */
-             
-            $ret=false; 
- 	        //======== Non mise en quarantaine =============  
-          
-         
-   		    ob_start();
-		      if ($nb_destinataires > 0) {   
-
-            if( $envoie_ok)  $ret = mail($mailto, $subject,$content, $headers);	
-            
+
+            $ret=false;
+            //======== Non mise en quarantaine =============
+
+
+            ob_start();
+              if ($nb_destinataires > 0) {
+
+            if( $envoie_ok)  $ret = mail($mailto, $subject,$content, $headers);
+
           }else{
             $message .= l10n('Sv_no_receiver_available');
@@ -206,94 +207,94 @@
         $message .= ob_get_contents();
         ob_end_clean();
-        $mails_donnees['message']=$message;	
+        $mails_donnees['message']=$message;
         Gestion_erreurs($message,$ret,$nb_destinataires,$headers,$mailto);
             } else {
-	            //================== Est en quarantaine =======================	
-		        $erreur_message .= 	l10n('Sv_To_day_is')."<br />";
-			    if ($alerte_spam ) { 
-		                $type="Spams";				
-				        $d1=$mails_donnees['nb_spams'] . '  \\  ' . $mails_donnees['nb_spams_maxi'];
-				        $d2=$mails_donnees['nb_spams'];
- 				        $d3= $mails_donnees['rest_spam'];
-				        $d4=time()+$d3 ;
- 			    }  
-			    if ($alerte_mail) {
-                    $type="Mails";		        
+                //================== Est en quarantaine =======================
+                $erreur_message .=  l10n('Sv_To_day_is')."<br />";
+                if ($alerte_spam ) {
+                        $type="Spams";
+                        $d1=$mails_donnees['nb_spams'] . '  \\  ' . $mails_donnees['nb_spams_maxi'];
+                        $d2=$mails_donnees['nb_spams'];
+                        $d3= $mails_donnees['rest_spam'];
+                        $d4=time()+$d3 ;
+                }
+                if ($alerte_mail) {
+                    $type="Mails";
                     $d1=$mails_donnees['nb_mails']. '  \\  ' . $mails_donnees['nb_mails_maxi'];;
                     $d2=$mails_donnees['date_mail'];
                     $d3= $mails_donnees['rest_mail'];
                     $d4=time()+$d3 ;
- 			    }
-			    if ($alerte) {
-		        $type="Spams(Quarantaine)";
-				    $d1=$mails_donnees['nb_spams'] . '  \\  ' . $mails_donnees['nb_spams_maxi'];
-				    $d2=$mails_donnees['date_quarantaine'];
- 				    $d3= $mails_donnees['reste'];
-				    $d4=time()+$d3 ;
- 			    } 
+                }
+                if ($alerte) {
+                $type="Spams(Quarantaine)";
+                    $d1=$mails_donnees['nb_spams'] . '  \\  ' . $mails_donnees['nb_spams_maxi'];
+                    $d2=$mails_donnees['date_quarantaine'];
+                    $d3= $mails_donnees['reste'];
+                    $d4=time()+$d3 ;
+                }
             $d2=date(l10n('Sv_formatdate'),$d2);
             $d3=int_to_heure($d3) ;
             $d4=date(l10n('Sv_formatdate'),$d4);
             if ($alerte_mail) {
-	            $erreur_message .='<br />'.sprintf(l10n('Sv_alerte_mail %s %s %s %s %s'),$type,$d1,$d2,$d3,$d4).'<br />';
+                $erreur_message .='<br />'.sprintf(l10n('Sv_alerte_mail %s %s %s %s %s'),$type,$d1,$d2,$d3,$d4).'<br />';
             }else{
-		        $erreur_message .='<br />'.sprintf(l10n('Sv_mise_en_quarantaine %s %s %s %s %s'),$type,$d1,$d2,$d3,$d4).'<br />';
-            }
-            $infos_message .= l10n('Sv_mail_not_send'); 
-            }		
-           $infos_message .= "<hr>";  	
+                $erreur_message .='<br />'.sprintf(l10n('Sv_mise_en_quarantaine %s %s %s %s %s'),$type,$d1,$d2,$d3,$d4).'<br />';
+            }
+            $infos_message .= l10n('Sv_mail_not_send');
+            }
+           $infos_message .= "<hr>";
     mail_supervisor::sauve_donnees();
     mail_supervisor::affiche_message();
     return true ;
 }
-//===========================================================================================	
-function Gestion_erreurs($message,$ret,$nb_destinataires,$headers,$mailto){			
-	 global $conf, $user,  $conf_mail,$mails_options,$mails_donnees , $template,$page ,$infos_message,$erreur_message,$args,$lang, $lang_info; 
+//===========================================================================================
+function Gestion_erreurs($message,$ret,$nb_destinataires,$headers,$mailto){
+     global $conf, $user,  $conf_mail,$mails_options,$mails_donnees , $template,$page ,$infos_message,$erreur_message,$args,$lang, $lang_info;
      $match=array("<",">");
-    $string=array("&lt;","&gt;") ;	 
-//Warning: mail() has been disabled for security reasons 
-	
-	$est_un_spam =!(strpos(strtolower($message), 'spam') === false);
-	$headers=str_replace( $match,$string, $headers); 
-	
-	if ( ($ret==false) || ($est_un_spam==true) || ($nb_destinataires == 0) ) {
-		 ;				// Bad recipient address syntax 
- 		$pos1 = strpos(strtolower($message), 'bad recipient address syntax');
-		if (  !($pos1 === false) ){
-			$erreur_message .= l10n('Sv_detection_de').' Bad recipient address syntax .';
- 			$erreur_message .= l10n('Sv_verifiez_les_destinataires').' (Bcc,Cc,To)<br />';
- 			}	
-	
-	$erreur_message .= sprintf(l10n('Sv_debug_message'),
-	($ret==true)? "true" : "false",
-	$message ,
-	$mailto ,
-	$headers ,
-	$nb_destinataires );
-       //=============== La fonction mail retourne une erreur =========================		
-				}	
-				
-    	if ($est_un_spam == false) 
-			{
-    			if ($mails_donnees['nb_mails']==0) {	$mails_donnees['date_mail'] =  time();	} 	
- 	    		$mails_donnees['nb_mails'] += $nb_destinataires;
-			}
-			else
-			{
-				$mails_donnees['nb_spams'] += $nb_destinataires;			
-			    //--- Detection de spam ------------------
-				if ($mails_donnees['nb_spams']==0) {$mails_donnees['date_spam'] = time(); 	}
-
-				$trop_de_spam =!(strpos(strtolower($message), 'trop de spam') === false);
-				if ( $trop_de_spam ) {
-						$mails_donnees['nb_spams_maxi']=$mails_donnees['nb_spams'];
-
-						$mails_donnees['date_quarantaine']= time()  ;	
-						$mails_donnees['quarantaine']= true    ;	
-						$infos_message .= mail_supervisor::Memo_Var($mails_donnees);
-					}
- 			}
+    $string=array("&lt;","&gt;") ;
+//Warning: mail() has been disabled for security reasons
+
+    $est_un_spam =!(strpos(strtolower($message), 'spam') === false);
+    $headers=str_replace( $match,$string, $headers);
+
+    if ( ($ret==false) || ($est_un_spam==true) || ($nb_destinataires == 0) ) {
+         ;              // Bad recipient address syntax
+        $pos1 = strpos(strtolower($message), 'bad recipient address syntax');
+        if (  !($pos1 === false) ){
+            $erreur_message .= l10n('Sv_detection_de').' Bad recipient address syntax .';
+            $erreur_message .= l10n('Sv_verifiez_les_destinataires').' (Bcc,Cc,To)<br />';
+            }
+
+    $erreur_message .= sprintf(l10n('Sv_debug_message'),
+    ($ret==true)? "true" : "false",
+    $message ,
+    $mailto ,
+    $headers ,
+    $nb_destinataires );
+       //=============== La fonction mail retourne une erreur =========================
+                }
+
+        if ($est_un_spam == false)
+            {
+                if ($mails_donnees['nb_mails']==0) {    $mails_donnees['date_mail'] =  time();  }
+                $mails_donnees['nb_mails'] += $nb_destinataires;
+            }
+            else
+            {
+                $mails_donnees['nb_spams'] += $nb_destinataires;
+                //--- Detection de spam ------------------
+                if ($mails_donnees['nb_spams']==0) {$mails_donnees['date_spam'] = time();   }
+
+                $trop_de_spam =!(strpos(strtolower($message), 'trop de spam') === false);
+                if ( $trop_de_spam ) {
+                        $mails_donnees['nb_spams_maxi']=$mails_donnees['nb_spams'];
+
+                        $mails_donnees['date_quarantaine']= time()  ;
+                        $mails_donnees['quarantaine']= true    ;
+                        $infos_message .= mail_supervisor::Memo_Var($mails_donnees);
+                    }
+            }
  $ret=true;
- return $ret ; 
+ return $ret ;
 }
 ?>
